Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163394 - gfortran:strange assembler warning with DATA statement
Summary: gfortran:strange assembler warning with DATA statement
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc4
Version: rawhide
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-15 20:14 UTC by Alexander Täschner
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 4.0.1-4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-21 20:59:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNU Compiler Collection 20063 None None None Never

Description Alexander Täschner 2005-07-15 20:14:03 UTC
Compiling the following file with "gfortran data.f" gives the following 
assembler warning:

/tmp/ccyeAKgZ.s: Assembler messages:
/tmp/ccyeAKgZ.s:7: Warning: .space repeat count is zero, ignored

Version 4.0.1-3 was used, but this warning was also observed with
older versions.

--- start of data.f ---
      PROGRAM Test
      CHARACTER*2 A(3)
      DATA A /'1', 2*'A'/

      END
--- EOF ---

Comment 2 Jakub Jelinek 2005-07-21 20:59:19 UTC
Should be fixed in gcc-4.0.1-4.


Note You need to log in before you can comment on or make changes to this bug.